Page MenuHome

Metaball Shading Inverted in Raytrace Reflection (Blender Internal)
Closed, ResolvedPublic

Description

Metaball shading is inverted when raytrace-reflected by object. (Other object types are shaded as expected.)

Attached file contains our fisheye camera rig, a sun lamp, two interacting metaballs, and a UV sphere for reference. One metaball encapsulates a cube to demonstrate that normals are correctly oriented.

If I recall correctly, a similar problem was reported for other types of objects in one of the 2.5 betas. I'm having trouble finding the report with search.

Build and system info is below.

Thank you for your excellent work.
--Ron Proctor


============================================
= Blender 2.62 (sub 0) System Information =
============================================


Blender:
============================================

version 2.62 (sub 0), revision 44136. Release
build date: 2012-02-15, 20:36:25
platform: Darwin:64bit
binary path: /Applications/blender/blender.app/Contents/MacOS/blender
build cflags: -DWITH_QUICKTIME -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -arch i386 -pipe -funsigned-char -DNDEBUG -O2 -ftree-vectorize -msse -msse2 -msse3 -mfpmath=sse -m32 -DGHOST_COCOA -DWITH_MOD_FLUID -DWITH_MOD_OCEANSIM -D__LITTLE_ENDIAN__ -DWITH_AUDASPACE
build cxxflags: -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -arch i386 -pipe -funsigned-char -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -arch i386 -DNDEBUG -O2 -ftree-vectorize -msse -msse2 -msse3 -mfpmath=sse -m32 -DGHOST_COCOA -DWITH_MOD_FLUID -DWITH_MOD_OCEANSIM -D__LITTLE_ENDIAN__ -DWITH_AUDASPACE
build linkflags: -mmacosx-version-min=10.5 -Wl -isysroot /Developer/SDKs/MacOSX10.5.sdk -arch i386 -fexceptions -framework CoreServices -framework Foundation -framework IOKit -framework AppKit -framework Cocoa -framework Carbon -framework AudioUnit -framework AudioToolbox -framework CoreAudio -framework OpenAL -m32 -framework QuickTime
build system: SCons

Python:
============================================

version: 3.2.1 (default, Aug 5 2011, 20:41:36)
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)]
paths:
/Applications/blender/blender.app/Contents/MacOS/2.62/scripts/addons
/Applications/blender/blender.app/Contents/MacOS/2.62/scripts/startup
/Applications/blender/blender.app/Contents/MacOS/2.62/scripts/modules
/Applications/blender/blender.app/Contents/MacOS/2.62/python/lib/python32.zip
/Applications/blender/blender.app/Contents/MacOS/2.62/python/lib/python3.2/
/Applications/blender/blender.app/Contents/MacOS/2.62/python/lib/python3.2/plat-darwin
/Applications/blender/blender.app/Contents/MacOS/2.62/python/lib/python3.2/lib-dynload
/Applications/blender/blender.app/Contents/MacOS/2.62/scripts/addons/modules

Directories:
============================================

scripts: ['/Applications/blender/blender.app/Contents/MacOS/2.62/scripts']
user scripts: None
datafiles: /Users/ronproctor/Library/Application Support/Blender/2.62/datafiles/
config: /Users/ronproctor/Library/Application Support/Blender/2.62/config/
scripts : /Users/ronproctor/Library/Application Support/Blender/2.62/scripts/
autosave: /Users/ronproctor/Library/Application Support/Blender/2.62/autosave/
tempdir: /tmp/

FFmpeg:
============================================

avcodec: 53, 60, 100
avdevice: 53, 4, 100
avformat: 53, 31, 100
avutil: 51, 34, 101
swscale: 2, 1, 100

OpenGL
============================================

renderer: NVIDIA Quadro FX 4500 OpenGL Engine
vendor: NVIDIA Corporation
version: 2.1 NVIDIA-1.6.36
extensions:
GL_ARB_transpose_matrix GL_ARB_vertex_program GL_ARB_vertex_blend
GL_ARB_window_pos GL_ARB_shader_objects GL_ARB_vertex_shader
GL_ARB_shading_language_100 GL_EXT_multi_draw_arrays
GL_EXT_clip_volume_hint GL_EXT_rescale_normal
GL_EXT_draw_range_elements GL_EXT_fog_coord
GL_EXT_gpu_program_parameters GL_EXT_geometry_shader4
GL_EXT_transform_feedback GL_APPLE_client_storage
GL_APPLE_specular_vector GL_APPLE_transform_hint
GL_APPLE_packed_pixels GL_APPLE_fence GL_APPLE_vertex_array_object
GL_APPLE_vertex_program_evaluators GL_APPLE_element_array
GL_APPLE_flush_render GL_APPLE_aux_depth_stencil
GL_NV_texgen_reflection GL_NV_light_max_exponent GL_IBM_rasterpos_clip
GL_SGIS_generate_mipmap GL_ARB_imaging GL_ARB_point_parameters
GL_ARB_texture_env_crossbar GL_ARB_texture_border_clamp
GL_ARB_multitexture GL_ARB_texture_env_add GL_ARB_texture_cube_map
GL_ARB_texture_env_dot3 GL_ARB_multisample GL_ARB_texture_env_combine
GL_ARB_texture_compression GL_ARB_texture_mirrored_repeat
GL_ARB_shadow GL_ARB_depth_texture GL_ARB_fragment_program
GL_ARB_fragment_program_shadow GL_ARB_fragment_shader
GL_ARB_occlusion_query GL_ARB_point_sprite
GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object
GL_ARB_pixel_buffer_object GL_ARB_draw_buffers
GL_ARB_shader_texture_lod GL_ARB_half_float_vertex
GL_EXT_compiled_vertex_array GL_EXT_framebuffer_object
GL_EXT_texture_rectangle GL_ARB_texture_rectangle
GL_EXT_texture_env_add GL_EXT_blend_color GL_EXT_blend_minmax
GL_EXT_blend_subtract GL_EXT_texture_lod_bias GL_EXT_abgr GL_EXT_bgra
GL_EXT_stencil_wrap GL_EXT_texture_filter_anisotropic
GL_EXT_secondary_color GL_EXT_blend_func_separate GL_EXT_shadow_funcs
GL_EXT_stencil_two_side GL_EXT_depth_bounds_test
GL_EXT_texture_compression_s3tc GL_EXT_texture_compression_dxt1
GL_EXT_texture_sRGB GL_EXT_blend_equation_separate
GL_EXT_texture_mirror_clamp GL_EXT_packed_depth_stencil
GL_EXT_provoking_vertex GL_APPLE_flush_buffer_range GL_APPLE_ycbcr_422
GL_APPLE_rgb_422 GL_APPLE_vertex_array_range GL_APPLE_texture_range
GL_APPLE_float_pixels GL_ATI_texture_float GL_ARB_texture_float
GL_ARB_half_float_pixel GL_APPLE_pixel_buffer
GL_APPLE_object_purgeable GL_NV_point_sprite GL_NV_blend_square
GL_NV_fog_distance GL_NV_depth_clamp GL_NV_multisample_filter_hint
GL_NV_fragment_program_option GL_NV_fragment_program2
GL_NV_vertex_program2_option GL_NV_vertex_program3
GL_ATI_texture_mirror_once GL_ATI_texture_env_combine3
GL_ATI_separate_stencil GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod
GL_EXT_vertex_array_bgra

Details

Type
Bug

Event Timeline

Probably it's something with how normals are calculating for metaballs when rendering. Will look into this.

Thanks Sergey. In the mean time, I'll use layers and backward lamps as a workaround for problem objects.

Thanks again,
r

Should be fixed in svn rev45029. Thanks for the report, closing.

Sergey Sharybin (sergey) closed this task as Resolved.Mar 20 2012, 5:17 PM